# specfile cnremctrl
# remote control server application
# Christian Nause, March 27, 2004, cn@cntec.de

%define VERSION 0.1.0


Summary:      A remote control server application
Name:         cnremctrl
Version:      %VERSION 
Release:      1
License:      GPL
Group:        Utilities/System
URL:          https://sourceforge.net/projects/cnremctrl
Source:       cnremctrl-%VERSION.tgz
Distribution: none
Vendor:       none
Packager:     Christian Nause <cnremctrl@cntec.de>
Requires:     xinetd >= 2.3
Requires:     popt >= 1.6
Provides:     cnremctrl


%description
This application is the receiver or server part of a remote control for your
linux server.  The sender or client is a Microsoft Windows program called 
cnRemoteControl.exe.  If the user pushes a button on the client, a string is
transfered via TCP to xinetd.  xinetd pipes this string to cnremctrl and
cnremctrl executes an appropriate command via a system call.  The command
output and exitstate of the command is transfered back to the client.


%description -l de
Dieses Programm ist der Empfaenger- oder Server-Teil einer Fernsteuerung fuer
Linux-Server.  Der Sender oder Client ist das Microsoft Windows-Programm
cnRemoteControl.exe.  Wenn der Anwender einen Button des Clients klickt, wird
ein String per TCP/IP zum Daemon xinetd gesandt, der auf dem Linux-Server
installiert sein muss.  xinetd wiederum sendet diesen String weiter nach
cnremctrl.  Dort wird er ausgewertet und ein zum gedrueckten Button passendes
Kommando per Systemaufruf abgesetzt.  Die stdout-Ausgaben dieses Kommandos
und sein Rueckgabewert werden wieder zurueck zum Client gesandt und dort in
einem log-Fenster dargestellt.


%prep
%setup


%build
make


%install
make install DESTDIR=$RPM_BUILD_ROOT

if [ -d %{_mandir}/de ]; then
  mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/de/man1/
  cp %{_builddir}/cnremctrl-%VERSION/cnremctrl-de.1.gz ${RPM_BUILD_ROOT}%{_mandir}/de/man1/cnremctrl.1.gz
else
  mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1/
  cp %{_builddir}/cnremctrl-%VERSION/cnremctrl-en.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/cnremctrl.1.gz
fi


%post
if [ -e /etc/xinetd.d/cnremctrl.rpmsave ]; then
  echo -e "\nPrevious config file /etc/xinetd.d/cnremctrl.rpmsave found but not installed."
fi
echo -e "Installation ready. Don't forget to reload xinetd!\n"

%clean
rm -rf ${RPM_BUILD_ROOT}


%preun
echo "Move /etc/xinetd.d/cnremctrl to /etc/xinetd.d/cnremctrl.rpmsave..."
cp ${RPM_BUILD_ROOT}/etc/xinetd.d/cnremctrl ${RPM_BUILD_ROOT}/etc/xinetd.d/cnremctrl.rpmsave


%files
/usr/local/bin/cnremctrl
/etc/xinetd.d/cnremctrl
%{_mandir}/*


%changelog
* Sat Mar 27 2004 Christian Nause <cn@cntec.de>
- First release 

